Bug 1721517 - jspawnhelper not packaged in java-11-openjdk
Summary: jspawnhelper not packaged in java-11-openjdk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: java-11-openjdk
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Severin Gehwolf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-18 13:10 UTC by Severin Gehwolf
Modified: 2019-08-04 02:40 UTC (History)
4 users (show)

Fixed In Version: java-11-openjdk-11.0.4.11-0.fc30 java-11-openjdk-11.0.4.11-0.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-03 01:16:58 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
openjdk bug system JDK-8220360 None None None 2019-06-18 13:10:38 UTC

Description Severin Gehwolf 2019-06-18 13:10:39 UTC
Description of problem:
The java-11-openjdk packages don't ship the jspawnhelper binary which is needed for the upcoming jdk.lang.Process.launchMechanism=posix_spawn change in JDK 11.0.4

Version-Release number of selected component (if applicable):
java-11-openjdk-11.0.3.7-1.fc29.x86_64

How reproducible:
100%

Steps to Reproduce:
$ for i in java-11-openjdk{,-devel,-headless}; do rpm -ql $i; done | grep jspawnhelper

Actual results:
Nothing

Expected results:
/usr/lib/jvm/java-11-openjdk-11.0.3.7-1.fc29.x86_64/lib/jspawnhelper

Additional info:
Upstream EA build of 11.0.4+6 from [1] I see this:
$ cat PosixSpawnTest.java 
public class PosixSpawnTest {

    public static void main(String[] args) throws Exception {
        int val = Runtime.getRuntime().exec("/bin/true").waitFor();
        System.out.println("Exit val: " + val);
    }

}
$ javac PosixSpawnTest.java 
$ strace -f /home/sgehwolf/Documents/openjdk/portable-linux-build/openjdk-11.0.4+6/bin/java -Djdk.lang.Process.launchMechanism=POSIX_SPAWN PosixSpawnTest 2>&1 | grep jspawnhelper
[pid 187261] execve("/home/sgehwolf/Documents/openjdk/portable-linux-build/openjdk-11.0.4+6/lib/jspawnhelper", ["13:16"], 0x7ffecd82c718 /* 68 vars */ <unfinished ...>

Comment 2 Severin Gehwolf 2019-06-21 12:18:34 UTC
This requires at least 11.0.4+01 (EA) sources as prior JDK-8220360, jspawnhelper isn't being built at all for Linux.

Comment 4 Severin Gehwolf 2019-06-21 18:38:33 UTC
Proposed fix:
https://src.fedoraproject.org/rpms/java-11-openjdk/pull-request/46

<mock-chroot> sh-5.0# java -version
openjdk version "11.0.4-ea" 2019-07-16
OpenJDK Runtime Environment 18.9 (build 11.0.4-ea+8)
OpenJDK 64-Bit Server VM 18.9 (build 11.0.4-ea+8, mixed mode, sharing)
<mock-chroot> sh-5.0# cat > PosixSpawnTest.java <<EOF
> public class PosixSpawnTest {
> 
>     public static void main(String[] args) throws Exception {
>         int val = Runtime.getRuntime().exec("/bin/true").waitFor();
>         System.out.println("Exit val: " + val);
>     }
> 
> }
> EOF
<mock-chroot> sh-5.0# javac PosixSpawnTest.java 
<mock-chroot> sh-5.0# java -Djdk.lang.Process.launchMechanism=POSIX_SPAWN PosixSpawnTest
Exit val: 0
<mock-chroot> sh-5.0# for i in java-11-openjdk{,-devel,-headless}; do rpm -ql $i; done | grep jspawnhelper
/usr/lib/jvm/java-11-openjdk-11.0.4.8-0.1.ea.fc31.x86_64/lib/jspawnhelper
<mock-chroot> sh-5.0# rpm -qf /usr/lib/jvm/java-11-openjdk-11.0.4.8-0.1.ea.fc31.x86_64/lib/jspawnhelper
java-11-openjdk-headless-11.0.4.8-0.1.ea.fc31.x86_64

Comment 5 Fedora Update System 2019-07-26 21:57:28 UTC
FEDORA-2019-56a658c60c has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-56a658c60c

Comment 6 Fedora Update System 2019-07-26 21:57:29 UTC
FEDORA-2019-a9825cfb3d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9825cfb3d

Comment 7 Fedora Update System 2019-07-27 01:22:35 UTC
java-11-openjdk-11.0.4.11-0.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a9825cfb3d

Comment 8 Fedora Update System 2019-07-27 01:50:41 UTC
java-11-openjdk-11.0.4.11-0.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-56a658c60c

Comment 9 Fedora Update System 2019-08-03 01:16:58 UTC
java-11-openjdk-11.0.4.11-0.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-08-04 02:40:23 UTC
java-11-openjdk-11.0.4.11-0.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.